Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514523 - The ad hoc page use a stressful query from Prometheus.
Summary: The ad hoc page use a stressful query from Prometheus.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.9.0
Assignee: Yaacov Zamir
QA Contact: Shalom Naim
URL:
Whiteboard:
Depends On: 1511402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 16:35 UTC by Satoe Imaishi
Modified: 2018-03-06 15:09 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511402
Environment:
Last Closed: 2018-03-06 15:09:02 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Comment 2 Yaacov Zamir 2017-11-26 13:06:04 UTC
backported:
https://github.com/ManageIQ/manageiq-ui-classic/pull/2736

Comment 3 CFME Bot 2017-11-29 20:38:58 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/9f48355bb427410b4a1110c61f8685bd87f4e34b

commit 9f48355bb427410b4a1110c61f8685bd87f4e34b
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Nov 16 13:24:15 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 17 11:36:51 2017 -0500

    Merge pull request #2736 from yaacov/use-query-instead-of-query_range-to-get-metrics-tags
    
    Use query insead of query_range when we do not need full data.
    (cherry picked from commit 6b6a87e522f4c2bb348e2f8fbd46e6e9984252e3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1514523

 app/services/prometheus_proxy_service.rb | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.